#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
This are functions to get metadata used for the helicopter flights with IR camera.

@author: Linda Thielke
"""

# Required modules
import pandas as pd

def get_image_cutoff_flight():
    """
    Image cut off values at start and end. Second value has to be subtracted from the end.
    Identification of flight by Device Operation ID.
    Input
        None
    Output
        - Image_cutoff: dictonary
    """
    
    Image_cutoff = {'PS122-1_2-57': [350,350], 
                     'PS122-1_2-167': [0,0], 
                     'PS122-1_5-9': [1500,0],
                     'PS122-1_6-11': [45,0], 
                     'PS122-1_7-24': [0,135], 
                     'PS122-1_7-25': [0,280], 
                     'PS122-1_8-23': [40,435], 
                     'PS122-1_9-98': [0,0],
                     'PS122-1_10-78': [45,0],
                     'PS122-2_17-98': [400,0],
                     'PS122-2_17-99': [500,0],
                     'PS122-2_17-101': [115,0],
                     'PS122-2_18-7': [0,0],
                     'PS122-2_19-44': [0,0],
                     'PS122-2_19-45': [0,0],
                     'PS122-2_19-46': [170,0],
                     'PS122-2_19-52': [0,0],
                     'PS122-2_19-53': [50,0],
                     'PS122-2_20-52': [0,0],
                     'PS122-2_20-53': [0,0],
                     'PS122-2_21-41': [0,0],
                     'PS122-2_21-77': [100,0],
                     'PS122-2_21-78': [100,0],
                     'PS122-2_21-122': [0,400],
                     'PS122-2_22-16': [20,15],
                     'PS122-2_22-97': [0,0],
                     'PS122-2_23-14': [300,0],
                     'PS122-2_23-109': [0,0],
                     'PS122-2_24-31': [220,0],
                     'PS122-2_25-7': [0,0],
                     'PS122-2_25-8': [0,0],
                     'PS122-3_29-49': [600,0],
                     'PS122-3_32-70': [0,15],
                     'PS122-3_32-71': [0,0],
                     'PS122-3_37-63': [0,20]}
    
    return Image_cutoff


def get_flight_list():
    """
    Read and output of flight list including Device Operation, Flight ID, Date, and Flight type.
    Input
        None
    Output
        df_flights: pandas.DataFrame
    """
    
    path='additional_data/'
    filename='flight_list.csv'
    
    df_flights=pd.read_csv(path+filename)
    
    return df_flights



if __name__ == "__main__":
    """
    """